/***********************************************
* name:Infrared-Receiver
* function:press the CH- key of a remote control,
* and both the LED attached and that connected to pin 13 on the Arduino Uno board will light up.
* Then press any other key, and the LEDs will go out.
**********************************************/
#include <IRremote.h>
const int irReceiverPin =7; //the SIG of receiver module attach to pin7 
const int ledPin = 13;// red led
IRrecv irrecv(irReceiverPin); //Creates a variable of type IRrecv
decode_results results;
void setup()
{
  pinMode(ledPin,OUTPUT);//set ledpin as OUTPUT
  Serial.begin(9600);//initialize serial 
  irrecv.enableIRIn(); //enable ir receiver module 
}
void loop() 
{
  if (irrecv.decode(&results)) //if the ir receiver module receives data
  { 
    Serial.print("irCode HEX: "); //print"irCode HEX: " 
    Serial.print(results.value, HEX); //print the value in hexdecimal
    Serial.print(" irCode DEC: "); //print"irCode DEC: " 
    Serial.print(results.value, DEC); //print the value in decimal
    Serial.print(", bits: "); //print" , bits: " 
    Serial.println(results.bits); //print the bits
    irrecv.resume(); // Receive the next value 
  } 
   delay(250); //delay 250ms
  // if any key long pressed
 
  if(results.value == 16753245)//if key CH- pressed (results.value == key DEC code)
  {
    digitalWrite(ledPin,HIGH);//turn on the red led
    
  }
  else
  {
    digitalWrite(ledPin,LOW);//turn off the red led
  }
    }
